#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 10. Graphics and Font Libraries

- Prev

  Little CMS-2.13.1

- Next

  Libgxps-0.3.2

- Up
- Home

# libexif-0.6.24

## Introduction to libexif

The libexif package contains a library for parsing, editing, and saving EXIF data. Most digital cameras produce EXIF files, which are JPEG files with extra tags that contain information about the image. All EXIF tags described in EXIF standard 2.1 are supported.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://github.com/libexif/libexif/releases/download/v0.6.24/libexif-0.6.24.tar.bz2

- Download MD5 sum: 00ea6e7ff62d3fd41ea9b2139746703c

- Download size: 1.9 MB

- Estimated disk space required: 17 MB

- Estimated build time: 0.1 SBU

### libexif Dependencies

#### Optional (to Build Documentation)

Doxygen-1.9.3 and Graphviz-2.50.0

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/libexif

## Installation of libexif

Install libexif by running the following commands:

    ./configure --prefix=/usr    \
                --disable-static \
                --with-doc-dir=/usr/share/doc/libexif-0.6.24 &&
    make

To test the results, issue: make check.

Now, as the `root` user:

    make install

Documentation was built and installed if you have the dependencies shown above installed. If you don't have the dependencies installed, there is a compressed tarball in the source tree `doc` directory that can be unpacked into /usr/share/doc/libexif-0.6.24.

## Command Explanations

`--disable-static`: This switch prevents installation of static versions of the libraries.

## Contents

Installed Programs: None
Installed Library: libexif.so
Installed Directories: /usr/include/libexif and /usr/share/doc/libexif-0.6.24

### Short Descriptions

`libexif.so` | contains functions used for parsing, editing, and saving EXIF data

Last updated on

- Prev

  Little CMS-2.13.1

- Next

  Libgxps-0.3.2

- Up
- Home